# Uses of Enum Class
org.apache.solr.common.params.CollectionParams.CollectionAction

Packages that use CollectionParams.CollectionAction
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.
org.apache.solr.common.params
Parameter constants and enumerations.

## Uses of CollectionParams.CollectionAction in org.apache.solr.client.solrj.request

Fields in org.apache.solr.client.solrj.request declared as CollectionParams.CollectionAction
Modifier and Type
Field
Description
`protected final CollectionParams.CollectionAction`
CollectionAdminRequest.`action`
Constructors in org.apache.solr.client.solrj.request with parameters of type CollectionParams.CollectionAction
Modifier
Constructor
Description
``
`AsyncCollectionAdminRequest(CollectionParams.CollectionAction action)`
``
`AsyncCollectionSpecificAdminRequest(CollectionParams.CollectionAction action, String collection)`
``
`AsyncShardSpecificAdminRequest(CollectionParams.CollectionAction action, String collection, String shard)`
``
`CollectionAdminRequest(String path, CollectionParams.CollectionAction action)`
``
`CollectionAdminRequest(CollectionParams.CollectionAction action)`
``
`CollectionAdminRoleRequest(CollectionParams.CollectionAction action, String node, String role)`
``
`ShardSpecificAdminRequest(CollectionParams.CollectionAction action, String collection, String shard)`

## Uses of CollectionParams.CollectionAction in org.apache.solr.common.params

Fields in org.apache.solr.common.params with type parameters of type CollectionParams.CollectionAction
Modifier and Type
Field
Description
`static final Map<String,CollectionParams.CollectionAction>`
CollectionParams.`actions`
Methods in org.apache.solr.common.params that return CollectionParams.CollectionAction
Modifier and Type
Method
Description
`static CollectionParams.CollectionAction`
CollectionParams.CollectionAction.`get(String p)`
`static CollectionParams.CollectionAction`
CollectionParams.CollectionAction.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CollectionParams.CollectionAction[]`
CollectionParams.CollectionAction.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.